<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up(): void
    {
        Schema::table('client_products', function (Blueprint $table) {
            $table->foreignId('ip_address_id')
                ->nullable()
                ->after('dedicated_ip')
                ->constrained('ip_addresses')
                ->nullOnDelete();
        });
    }

    public function down(): void
    {
        Schema::table('client_products', function (Blueprint $table) {
            $table->dropConstrainedForeignId('ip_address_id');
        });
    }
};
